> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Source Imports

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /repos/{owner}/{repo}/import`](https://docs.github.com/enterprise-cloud@latest/rest/migrations/source-imports#get-an-import-status) <Badge color="blue" size="sm">UAT</Badge> - Get an import status
* [`PUT /repos/{owner}/{repo}/import`](https://docs.github.com/enterprise-cloud@latest/rest/migrations/source-imports#start-an-import) <Badge color="blue" size="sm">UAT</Badge> - Start an import
* [`PATCH /repos/{owner}/{repo}/import`](https://docs.github.com/enterprise-cloud@latest/rest/migrations/source-imports#update-an-import) <Badge color="blue" size="sm">UAT</Badge> - Update an import
* [`DELETE /repos/{owner}/{repo}/import`](https://docs.github.com/enterprise-cloud@latest/rest/migrations/source-imports#cancel-an-import) <Badge color="blue" size="sm">UAT</Badge> - Cancel an import
* [`GET /repos/{owner}/{repo}/import/authors`](https://docs.github.com/enterprise-cloud@latest/rest/migrations/source-imports#get-commit-authors) <Badge color="blue" size="sm">UAT</Badge> - Get commit authors
* [`PATCH /repos/{owner}/{repo}/import/authors/{author_id}`](https://docs.github.com/enterprise-cloud@latest/rest/migrations/source-imports#map-a-commit-author) <Badge color="blue" size="sm">UAT</Badge> - Map a commit author
* [`GET /repos/{owner}/{repo}/import/large_files`](https://docs.github.com/enterprise-cloud@latest/rest/migrations/source-imports#get-large-files) <Badge color="blue" size="sm">UAT</Badge> - Get large files
* [`PATCH /repos/{owner}/{repo}/import/lfs`](https://docs.github.com/enterprise-cloud@latest/rest/migrations/source-imports#update-git-lfs-preference) <Badge color="blue" size="sm">UAT</Badge> - Update Git LFS preference
